mini_carousel:
  namespace: 'Organisms/Bootstrap/Carousel'
  use: "@organisms/tm-bs/carousel/mini-carousel/mini-carousel.twig"
  label: Mini Carousel
  description: Mini Carousel
  libraries:
    - mini_carousel_lib:
        css:
          component:
            ../styles/mini-carousel.css: { }

  fields:
    items:
      type: object
      label: Items
      description: Items
      preview:
        - meta: "about 2 hours ago"
          text: "09:13 Bishops Stortford to Stratford (09:52 Meridian Water) is now expected to be 10 minutes late due to cows on the track."
          link_url: "www.train-operator.co.uk"
          link_alt: "www.train-operator.co.uk"
          post: ''
        - meta: "about 2 hours ago"
          text: "Now expected to be 10 minutes late due to cows on the track."
          link_url: "www.train-operator.co.uk"
          link_alt: "www.train-operator.co.uk"
          post: ''
        - meta: "about 2 hours ago"
          text: "3 expected to be 10 minutes late due to cows on the track."
          link_url: "www.train-operator.co.uk"
          link_alt: "www.train-operator.co.uk"
          post: "read more..."
    cid:
      type: text
      label: Carousel ID
      preview: 'mini'

  settings:
    main_icon:
      label: Main icon
      type: textfield
      preview: 'fas fa-star'
    meta_icon:
      label: Main icon
      type: textfield
      preview: 'far fa-clock'
